Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleZeroTrustAccessGroups = cloudflare.getZeroTrustAccessGroups({
accountId: "account_id",
zoneId: "zone_id",
name: "name",
search: "search",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_zero_trust_access_groups = cloudflare.get_zero_trust_access_groups(account_id="account_id",
zone_id="zone_id",
name="name",
search="search")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupZeroTrustAccessGroups(ctx, &cloudflare.LookupZeroTrustAccessGroupsArgs{
AccountId: pulumi.StringRef("account_id"),
ZoneId: pulumi.StringRef("zone_id"),
Name: pulumi.StringRef("name"),
Search: pulumi.StringRef("search"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleZeroTrustAccessGroups = Cloudflare.GetZeroTrustAccessGroups.Invoke(new()
{
AccountId = "account_id",
ZoneId = "zone_id",
Name = "name",
Search = "search",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetZeroTrustAccessGroupsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleZeroTrustAccessGroups = CloudflareFunctions.getZeroTrustAccessGroups(GetZeroTrustAccessGroupsArgs.builder()
.accountId("account_id")
.zoneId("zone_id")
.name("name")
.search("search")
.build());
}
}
variables:
exampleZeroTrustAccessGroups:
fn::invoke:
function: cloudflare:getZeroTrustAccessGroups
arguments:
accountId: account_id
zoneId: zone_id
name: name
search: search
Using getZeroTrustAccessGroups
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getZeroTrustAccessGroups(args: GetZeroTrustAccessGroupsArgs, opts?: InvokeOptions): Promise<GetZeroTrustAccessGroupsResult>
function getZeroTrustAccessGroupsOutput(args: GetZeroTrustAccessGroupsOutputArgs, opts?: InvokeOptions): Output<GetZeroTrustAccessGroupsResult>def get_zero_trust_access_groups(account_id: Optional[str] = None,
max_items: Optional[int] = None,
name: Optional[str] = None,
search: Optional[str] = None,
zone_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetZeroTrustAccessGroupsResult
def get_zero_trust_access_groups_output(account_id: Optional[pulumi.Input[str]] = None,
max_items: Optional[pulumi.Input[int]] = None,
name: Optional[pulumi.Input[str]] = None,
search: Optional[pulumi.Input[str]] = None,
zone_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetZeroTrustAccessGroupsResult]func LookupZeroTrustAccessGroups(ctx *Context, args *LookupZeroTrustAccessGroupsArgs, opts ...InvokeOption) (*LookupZeroTrustAccessGroupsResult, error)
func LookupZeroTrustAccessGroupsOutput(ctx *Context, args *LookupZeroTrustAccessGroupsOutputArgs, opts ...InvokeOption) LookupZeroTrustAccessGroupsResultOutput> Note: This function is named LookupZeroTrustAccessGroups in the Go SDK.
public static class GetZeroTrustAccessGroups
{
public static Task<GetZeroTrustAccessGroupsResult> InvokeAsync(GetZeroTrustAccessGroupsArgs args, InvokeOptions? opts = null)
public static Output<GetZeroTrustAccessGroupsResult> Invoke(GetZeroTrustAccessGroupsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetZeroTrustAccessGroupsResult> getZeroTrustAccessGroups(GetZeroTrustAccessGroupsArgs args, InvokeOptions options)
public static Output<GetZeroTrustAccessGroupsResult> getZeroTrustAccessGroups(GetZeroTrustAccessGroupsArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getZeroTrustAccessGroups:getZeroTrustAccessGroups
arguments:
# arguments dictionaryThe following arguments are supported:
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the group.
- Search string
- Search for groups by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the group.
- Search string
- Search for groups by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Integer - Max items to fetch, default: 1000
- name String
- The name of the group.
- search String
- Search for groups by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items number - Max items to fetch, default: 1000
- name string
- The name of the group.
- search string
- Search for groups by other listed query parameters.
- zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account_
id str - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max_
items int - Max items to fetch, default: 1000
- name str
- The name of the group.
- search str
- Search for groups by other listed query parameters.
- zone_
id str - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Number - Max items to fetch, default: 1000
- name String
- The name of the group.
- search String
- Search for groups by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
getZeroTrustAccessGroups Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
List<Get
Zero Trust Access Groups Result> - The items returned by the data source
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the group.
- Search string
- Search for groups by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
[]Get
Zero Trust Access Groups Result - The items returned by the data source
- Account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- Max
Items int - Max items to fetch, default: 1000
- Name string
- The name of the group.
- Search string
- Search for groups by other listed query parameters.
- Zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id String
- The provider-assigned unique ID for this managed resource.
- results
List<Get
Zero Trust Access Groups Result> - The items returned by the data source
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Integer - Max items to fetch, default: 1000
- name String
- The name of the group.
- search String
- Search for groups by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id string
- The provider-assigned unique ID for this managed resource.
- results
Get
Zero Trust Access Groups Result[] - The items returned by the data source
- account
Id string - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items number - Max items to fetch, default: 1000
- name string
- The name of the group.
- search string
- Search for groups by other listed query parameters.
- zone
Id string - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id str
- The provider-assigned unique ID for this managed resource.
- results
Sequence[Get
Zero Trust Access Groups Result] - The items returned by the data source
- account_
id str - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max_
items int - Max items to fetch, default: 1000
- name str
- The name of the group.
- search str
- Search for groups by other listed query parameters.
- zone_
id str - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
- id String
- The provider-assigned unique ID for this managed resource.
- results List<Property Map>
- The items returned by the data source
- account
Id String - The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.
- max
Items Number - Max items to fetch, default: 1000
- name String
- The name of the group.
- search String
- Search for groups by other listed query parameters.
- zone
Id String - The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.
Supporting Types
GetZeroTrustAccessGroupsResult
- Excludes
List<Get
Zero Trust Access Groups Result Exclude> - Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- Id string
- UUID.
- Includes
List<Get
Zero Trust Access Groups Result Include> - Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- Is
Defaults List<GetZero Trust Access Groups Result Is Default> - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- Name string
- The name of the Access group.
- Requires
List<Get
Zero Trust Access Groups Result Require> - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- Excludes
[]Get
Zero Trust Access Groups Result Exclude - Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- Id string
- UUID.
- Includes
[]Get
Zero Trust Access Groups Result Include - Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- Is
Defaults []GetZero Trust Access Groups Result Is Default - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- Name string
- The name of the Access group.
- Requires
[]Get
Zero Trust Access Groups Result Require - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- excludes
List<Get
Zero Trust Access Groups Result Exclude> - Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- id String
- UUID.
- includes
List<Get
Zero Trust Access Groups Result Include> - Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- is
Defaults List<GetZero Trust Access Groups Result Is Default> - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- name String
- The name of the Access group.
- requires
List<Get
Zero Trust Access Groups Result Require> - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- excludes
Get
Zero Trust Access Groups Result Exclude[] - Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- id string
- UUID.
- includes
Get
Zero Trust Access Groups Result Include[] - Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- is
Defaults GetZero Trust Access Groups Result Is Default[] - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- name string
- The name of the Access group.
- requires
Get
Zero Trust Access Groups Result Require[] - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- excludes
Sequence[Get
Zero Trust Access Groups Result Exclude] - Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- id str
- UUID.
- includes
Sequence[Get
Zero Trust Access Groups Result Include] - Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- is_
defaults Sequence[GetZero Trust Access Groups Result Is Default] - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- name str
- The name of the Access group.
- requires
Sequence[Get
Zero Trust Access Groups Result Require] - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- excludes List<Property Map>
- Rules evaluated with a NOT logical operator. To match a policy, a user cannot meet any of the Exclude rules.
- id String
- UUID.
- includes List<Property Map>
- Rules evaluated with an OR logical operator. A user needs to meet only one of the Include rules.
- is
Defaults List<Property Map> - Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
- name String
- The name of the Access group.
- requires List<Property Map>
- Rules evaluated with an AND logical operator. To match a policy, a user must meet all of the Require rules.
GetZeroTrustAccessGroupsResultExclude
- Any
Valid GetService Token Zero Trust Access Groups Result Exclude Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Exclude Auth Context - Auth
Method GetZero Trust Access Groups Result Exclude Auth Method - Azure
Ad GetZero Trust Access Groups Result Exclude Azure Ad - Certificate
Get
Zero Trust Access Groups Result Exclude Certificate - Common
Name GetZero Trust Access Groups Result Exclude Common Name - Device
Posture GetZero Trust Access Groups Result Exclude Device Posture - Email
Get
Zero Trust Access Groups Result Exclude Email - Email
Domain GetZero Trust Access Groups Result Exclude Email Domain - Email
List GetZero Trust Access Groups Result Exclude Email List - Everyone
Get
Zero Trust Access Groups Result Exclude Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Exclude External Evaluation - Geo
Get
Zero Trust Access Groups Result Exclude Geo - Github
Organization GetZero Trust Access Groups Result Exclude Github Organization - Group
Get
Zero Trust Access Groups Result Exclude Group - Gsuite
Get
Zero Trust Access Groups Result Exclude Gsuite - Ip
Get
Zero Trust Access Groups Result Exclude Ip - Ip
List GetZero Trust Access Groups Result Exclude Ip List - Linked
App GetToken Zero Trust Access Groups Result Exclude Linked App Token - Login
Method GetZero Trust Access Groups Result Exclude Login Method - Oidc
Get
Zero Trust Access Groups Result Exclude Oidc - Okta
Get
Zero Trust Access Groups Result Exclude Okta - Saml
Get
Zero Trust Access Groups Result Exclude Saml - Service
Token GetZero Trust Access Groups Result Exclude Service Token
- Any
Valid GetService Token Zero Trust Access Groups Result Exclude Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Exclude Auth Context - Auth
Method GetZero Trust Access Groups Result Exclude Auth Method - Azure
Ad GetZero Trust Access Groups Result Exclude Azure Ad - Certificate
Get
Zero Trust Access Groups Result Exclude Certificate - Common
Name GetZero Trust Access Groups Result Exclude Common Name - Device
Posture GetZero Trust Access Groups Result Exclude Device Posture - Email
Get
Zero Trust Access Groups Result Exclude Email - Email
Domain GetZero Trust Access Groups Result Exclude Email Domain - Email
List GetZero Trust Access Groups Result Exclude Email List - Everyone
Get
Zero Trust Access Groups Result Exclude Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Exclude External Evaluation - Geo
Get
Zero Trust Access Groups Result Exclude Geo - Github
Organization GetZero Trust Access Groups Result Exclude Github Organization - Group
Get
Zero Trust Access Groups Result Exclude Group - Gsuite
Get
Zero Trust Access Groups Result Exclude Gsuite - Ip
Get
Zero Trust Access Groups Result Exclude Ip - Ip
List GetZero Trust Access Groups Result Exclude Ip List - Linked
App GetToken Zero Trust Access Groups Result Exclude Linked App Token - Login
Method GetZero Trust Access Groups Result Exclude Login Method - Oidc
Get
Zero Trust Access Groups Result Exclude Oidc - Okta
Get
Zero Trust Access Groups Result Exclude Okta - Saml
Get
Zero Trust Access Groups Result Exclude Saml - Service
Token GetZero Trust Access Groups Result Exclude Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Exclude Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Exclude Auth Context - auth
Method GetZero Trust Access Groups Result Exclude Auth Method - azure
Ad GetZero Trust Access Groups Result Exclude Azure Ad - certificate
Get
Zero Trust Access Groups Result Exclude Certificate - common
Name GetZero Trust Access Groups Result Exclude Common Name - device
Posture GetZero Trust Access Groups Result Exclude Device Posture - email
Get
Zero Trust Access Groups Result Exclude Email - email
Domain GetZero Trust Access Groups Result Exclude Email Domain - email
List GetZero Trust Access Groups Result Exclude Email List - everyone
Get
Zero Trust Access Groups Result Exclude Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Exclude External Evaluation - geo
Get
Zero Trust Access Groups Result Exclude Geo - github
Organization GetZero Trust Access Groups Result Exclude Github Organization - group
Get
Zero Trust Access Groups Result Exclude Group - gsuite
Get
Zero Trust Access Groups Result Exclude Gsuite - ip
Get
Zero Trust Access Groups Result Exclude Ip - ip
List GetZero Trust Access Groups Result Exclude Ip List - linked
App GetToken Zero Trust Access Groups Result Exclude Linked App Token - login
Method GetZero Trust Access Groups Result Exclude Login Method - oidc
Get
Zero Trust Access Groups Result Exclude Oidc - okta
Get
Zero Trust Access Groups Result Exclude Okta - saml
Get
Zero Trust Access Groups Result Exclude Saml - service
Token GetZero Trust Access Groups Result Exclude Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Exclude Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Exclude Auth Context - auth
Method GetZero Trust Access Groups Result Exclude Auth Method - azure
Ad GetZero Trust Access Groups Result Exclude Azure Ad - certificate
Get
Zero Trust Access Groups Result Exclude Certificate - common
Name GetZero Trust Access Groups Result Exclude Common Name - device
Posture GetZero Trust Access Groups Result Exclude Device Posture - email
Get
Zero Trust Access Groups Result Exclude Email - email
Domain GetZero Trust Access Groups Result Exclude Email Domain - email
List GetZero Trust Access Groups Result Exclude Email List - everyone
Get
Zero Trust Access Groups Result Exclude Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Exclude External Evaluation - geo
Get
Zero Trust Access Groups Result Exclude Geo - github
Organization GetZero Trust Access Groups Result Exclude Github Organization - group
Get
Zero Trust Access Groups Result Exclude Group - gsuite
Get
Zero Trust Access Groups Result Exclude Gsuite - ip
Get
Zero Trust Access Groups Result Exclude Ip - ip
List GetZero Trust Access Groups Result Exclude Ip List - linked
App GetToken Zero Trust Access Groups Result Exclude Linked App Token - login
Method GetZero Trust Access Groups Result Exclude Login Method - oidc
Get
Zero Trust Access Groups Result Exclude Oidc - okta
Get
Zero Trust Access Groups Result Exclude Okta - saml
Get
Zero Trust Access Groups Result Exclude Saml - service
Token GetZero Trust Access Groups Result Exclude Service Token
- any_
valid_ Getservice_ token Zero Trust Access Groups Result Exclude Any Valid Service Token - An empty object which matches on all service tokens.
- auth_
context GetZero Trust Access Groups Result Exclude Auth Context - auth_
method GetZero Trust Access Groups Result Exclude Auth Method - azure_
ad GetZero Trust Access Groups Result Exclude Azure Ad - certificate
Get
Zero Trust Access Groups Result Exclude Certificate - common_
name GetZero Trust Access Groups Result Exclude Common Name - device_
posture GetZero Trust Access Groups Result Exclude Device Posture - email
Get
Zero Trust Access Groups Result Exclude Email - email_
domain GetZero Trust Access Groups Result Exclude Email Domain - email_
list GetZero Trust Access Groups Result Exclude Email List - everyone
Get
Zero Trust Access Groups Result Exclude Everyone - An empty object which matches on all users.
- external_
evaluation GetZero Trust Access Groups Result Exclude External Evaluation - geo
Get
Zero Trust Access Groups Result Exclude Geo - github_
organization GetZero Trust Access Groups Result Exclude Github Organization - group
Get
Zero Trust Access Groups Result Exclude Group - gsuite
Get
Zero Trust Access Groups Result Exclude Gsuite - ip
Get
Zero Trust Access Groups Result Exclude Ip - ip_
list GetZero Trust Access Groups Result Exclude Ip List - linked_
app_ Gettoken Zero Trust Access Groups Result Exclude Linked App Token - login_
method GetZero Trust Access Groups Result Exclude Login Method - oidc
Get
Zero Trust Access Groups Result Exclude Oidc - okta
Get
Zero Trust Access Groups Result Exclude Okta - saml
Get
Zero Trust Access Groups Result Exclude Saml - service_
token GetZero Trust Access Groups Result Exclude Service Token
- any
Valid Property MapService Token - An empty object which matches on all service tokens.
- auth
Context Property Map - auth
Method Property Map - azure
Ad Property Map - certificate Property Map
- common
Name Property Map - device
Posture Property Map - email Property Map
- email
Domain Property Map - email
List Property Map - everyone Property Map
- An empty object which matches on all users.
- external
Evaluation Property Map - geo Property Map
- github
Organization Property Map - group Property Map
- gsuite Property Map
- ip Property Map
- ip
List Property Map - linked
App Property MapToken - login
Method Property Map - oidc Property Map
- okta Property Map
- saml Property Map
- service
Token Property Map
GetZeroTrustAccessGroupsResultExcludeAuthContext
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
- ac
Id string - The ACID of an Authentication context.
- id string
- The ID of an Authentication context.
- identity
Provider stringId - The ID of your Azure identity provider.
- ac_
id str - The ACID of an Authentication context.
- id str
- The ID of an Authentication context.
- identity_
provider_ strid - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultExcludeAuthMethod
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth_
method str - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
GetZeroTrustAccessGroupsResultExcludeAzureAd
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
- id string
- The ID of an Azure group.
- identity
Provider stringId - The ID of your Azure identity provider.
- id str
- The ID of an Azure group.
- identity_
provider_ strid - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultExcludeCommonName
- Common
Name string - The common name to match.
- Common
Name string - The common name to match.
- common
Name String - The common name to match.
- common
Name string - The common name to match.
- common_
name str - The common name to match.
- common
Name String - The common name to match.
GetZeroTrustAccessGroupsResultExcludeDevicePosture
- Integration
Uid string - The ID of a device posture integration.
- Integration
Uid string - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
- integration
Uid string - The ID of a device posture integration.
- integration_
uid str - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
GetZeroTrustAccessGroupsResultExcludeEmail
- Email string
- The email of the user.
- Email string
- The email of the user.
- email String
- The email of the user.
- email string
- The email of the user.
- email str
- The email of the user.
- email String
- The email of the user.
GetZeroTrustAccessGroupsResultExcludeEmailDomain
- Domain string
- The email domain to match.
- Domain string
- The email domain to match.
- domain String
- The email domain to match.
- domain string
- The email domain to match.
- domain str
- The email domain to match.
- domain String
- The email domain to match.
GetZeroTrustAccessGroupsResultExcludeEmailList
- Id string
- The ID of a previously created email list.
- Id string
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
- id string
- The ID of a previously created email list.
- id str
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
GetZeroTrustAccessGroupsResultExcludeExternalEvaluation
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url string - The API endpoint containing your business logic.
- keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate_
url str - The API endpoint containing your business logic.
- keys_
url str - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
GetZeroTrustAccessGroupsResultExcludeGeo
- Country
Code string - The country code that should be matched.
- Country
Code string - The country code that should be matched.
- country
Code String - The country code that should be matched.
- country
Code string - The country code that should be matched.
- country_
code str - The country code that should be matched.
- country
Code String - The country code that should be matched.
GetZeroTrustAccessGroupsResultExcludeGithubOrganization
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
- identity
Provider stringId - The ID of your Github identity provider.
- name string
- The name of the organization.
- team string
- The name of the team
- identity_
provider_ strid - The ID of your Github identity provider.
- name str
- The name of the organization.
- team str
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
GetZeroTrustAccessGroupsResultExcludeGroup
- Id string
- The ID of a previously created Access group.
- Id string
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
- id string
- The ID of a previously created Access group.
- id str
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
GetZeroTrustAccessGroupsResultExcludeGsuite
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
- email string
- The email of the Google Workspace group.
- identity
Provider stringId - The ID of your Google Workspace identity provider.
- email str
- The email of the Google Workspace group.
- identity_
provider_ strid - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
GetZeroTrustAccessGroupsResultExcludeIp
- Ip string
- An IPv4 or IPv6 CIDR block.
- Ip string
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
- ip string
- An IPv4 or IPv6 CIDR block.
- ip str
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
GetZeroTrustAccessGroupsResultExcludeIpList
- Id string
- The ID of a previously created IP list.
- Id string
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
- id string
- The ID of a previously created IP list.
- id str
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
GetZeroTrustAccessGroupsResultExcludeLinkedAppToken
- App
Uid string - The ID of an Access OIDC SaaS application
- App
Uid string - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
- app
Uid string - The ID of an Access OIDC SaaS application
- app_
uid str - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
GetZeroTrustAccessGroupsResultExcludeLoginMethod
- Id string
- The ID of an identity provider.
- Id string
- The ID of an identity provider.
- id String
- The ID of an identity provider.
- id string
- The ID of an identity provider.
- id str
- The ID of an identity provider.
- id String
- The ID of an identity provider.
GetZeroTrustAccessGroupsResultExcludeOidc
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
- claim
Name string - The name of the OIDC claim.
- claim
Value string - The OIDC claim value to look for.
- identity
Provider stringId - The ID of your OIDC identity provider.
- claim_
name str - The name of the OIDC claim.
- claim_
value str - The OIDC claim value to look for.
- identity_
provider_ strid - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
GetZeroTrustAccessGroupsResultExcludeOkta
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
- identity
Provider stringId - The ID of your Okta identity provider.
- name string
- The name of the Okta group.
- identity_
provider_ strid - The ID of your Okta identity provider.
- name str
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
GetZeroTrustAccessGroupsResultExcludeSaml
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
- attribute
Name string - The name of the SAML attribute.
- attribute
Value string - The SAML attribute value to look for.
- identity
Provider stringId - The ID of your SAML identity provider.
- attribute_
name str - The name of the SAML attribute.
- attribute_
value str - The SAML attribute value to look for.
- identity_
provider_ strid - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
GetZeroTrustAccessGroupsResultExcludeServiceToken
- Token
Id string - The ID of a Service Token.
- Token
Id string - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
- token
Id string - The ID of a Service Token.
- token_
id str - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
GetZeroTrustAccessGroupsResultInclude
- Any
Valid GetService Token Zero Trust Access Groups Result Include Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Include Auth Context - Auth
Method GetZero Trust Access Groups Result Include Auth Method - Azure
Ad GetZero Trust Access Groups Result Include Azure Ad - Certificate
Get
Zero Trust Access Groups Result Include Certificate - Common
Name GetZero Trust Access Groups Result Include Common Name - Device
Posture GetZero Trust Access Groups Result Include Device Posture - Email
Get
Zero Trust Access Groups Result Include Email - Email
Domain GetZero Trust Access Groups Result Include Email Domain - Email
List GetZero Trust Access Groups Result Include Email List - Everyone
Get
Zero Trust Access Groups Result Include Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Include External Evaluation - Geo
Get
Zero Trust Access Groups Result Include Geo - Github
Organization GetZero Trust Access Groups Result Include Github Organization - Group
Get
Zero Trust Access Groups Result Include Group - Gsuite
Get
Zero Trust Access Groups Result Include Gsuite - Ip
Get
Zero Trust Access Groups Result Include Ip - Ip
List GetZero Trust Access Groups Result Include Ip List - Linked
App GetToken Zero Trust Access Groups Result Include Linked App Token - Login
Method GetZero Trust Access Groups Result Include Login Method - Oidc
Get
Zero Trust Access Groups Result Include Oidc - Okta
Get
Zero Trust Access Groups Result Include Okta - Saml
Get
Zero Trust Access Groups Result Include Saml - Service
Token GetZero Trust Access Groups Result Include Service Token
- Any
Valid GetService Token Zero Trust Access Groups Result Include Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Include Auth Context - Auth
Method GetZero Trust Access Groups Result Include Auth Method - Azure
Ad GetZero Trust Access Groups Result Include Azure Ad - Certificate
Get
Zero Trust Access Groups Result Include Certificate - Common
Name GetZero Trust Access Groups Result Include Common Name - Device
Posture GetZero Trust Access Groups Result Include Device Posture - Email
Get
Zero Trust Access Groups Result Include Email - Email
Domain GetZero Trust Access Groups Result Include Email Domain - Email
List GetZero Trust Access Groups Result Include Email List - Everyone
Get
Zero Trust Access Groups Result Include Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Include External Evaluation - Geo
Get
Zero Trust Access Groups Result Include Geo - Github
Organization GetZero Trust Access Groups Result Include Github Organization - Group
Get
Zero Trust Access Groups Result Include Group - Gsuite
Get
Zero Trust Access Groups Result Include Gsuite - Ip
Get
Zero Trust Access Groups Result Include Ip - Ip
List GetZero Trust Access Groups Result Include Ip List - Linked
App GetToken Zero Trust Access Groups Result Include Linked App Token - Login
Method GetZero Trust Access Groups Result Include Login Method - Oidc
Get
Zero Trust Access Groups Result Include Oidc - Okta
Get
Zero Trust Access Groups Result Include Okta - Saml
Get
Zero Trust Access Groups Result Include Saml - Service
Token GetZero Trust Access Groups Result Include Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Include Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Include Auth Context - auth
Method GetZero Trust Access Groups Result Include Auth Method - azure
Ad GetZero Trust Access Groups Result Include Azure Ad - certificate
Get
Zero Trust Access Groups Result Include Certificate - common
Name GetZero Trust Access Groups Result Include Common Name - device
Posture GetZero Trust Access Groups Result Include Device Posture - email
Get
Zero Trust Access Groups Result Include Email - email
Domain GetZero Trust Access Groups Result Include Email Domain - email
List GetZero Trust Access Groups Result Include Email List - everyone
Get
Zero Trust Access Groups Result Include Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Include External Evaluation - geo
Get
Zero Trust Access Groups Result Include Geo - github
Organization GetZero Trust Access Groups Result Include Github Organization - group
Get
Zero Trust Access Groups Result Include Group - gsuite
Get
Zero Trust Access Groups Result Include Gsuite - ip
Get
Zero Trust Access Groups Result Include Ip - ip
List GetZero Trust Access Groups Result Include Ip List - linked
App GetToken Zero Trust Access Groups Result Include Linked App Token - login
Method GetZero Trust Access Groups Result Include Login Method - oidc
Get
Zero Trust Access Groups Result Include Oidc - okta
Get
Zero Trust Access Groups Result Include Okta - saml
Get
Zero Trust Access Groups Result Include Saml - service
Token GetZero Trust Access Groups Result Include Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Include Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Include Auth Context - auth
Method GetZero Trust Access Groups Result Include Auth Method - azure
Ad GetZero Trust Access Groups Result Include Azure Ad - certificate
Get
Zero Trust Access Groups Result Include Certificate - common
Name GetZero Trust Access Groups Result Include Common Name - device
Posture GetZero Trust Access Groups Result Include Device Posture - email
Get
Zero Trust Access Groups Result Include Email - email
Domain GetZero Trust Access Groups Result Include Email Domain - email
List GetZero Trust Access Groups Result Include Email List - everyone
Get
Zero Trust Access Groups Result Include Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Include External Evaluation - geo
Get
Zero Trust Access Groups Result Include Geo - github
Organization GetZero Trust Access Groups Result Include Github Organization - group
Get
Zero Trust Access Groups Result Include Group - gsuite
Get
Zero Trust Access Groups Result Include Gsuite - ip
Get
Zero Trust Access Groups Result Include Ip - ip
List GetZero Trust Access Groups Result Include Ip List - linked
App GetToken Zero Trust Access Groups Result Include Linked App Token - login
Method GetZero Trust Access Groups Result Include Login Method - oidc
Get
Zero Trust Access Groups Result Include Oidc - okta
Get
Zero Trust Access Groups Result Include Okta - saml
Get
Zero Trust Access Groups Result Include Saml - service
Token GetZero Trust Access Groups Result Include Service Token
- any_
valid_ Getservice_ token Zero Trust Access Groups Result Include Any Valid Service Token - An empty object which matches on all service tokens.
- auth_
context GetZero Trust Access Groups Result Include Auth Context - auth_
method GetZero Trust Access Groups Result Include Auth Method - azure_
ad GetZero Trust Access Groups Result Include Azure Ad - certificate
Get
Zero Trust Access Groups Result Include Certificate - common_
name GetZero Trust Access Groups Result Include Common Name - device_
posture GetZero Trust Access Groups Result Include Device Posture - email
Get
Zero Trust Access Groups Result Include Email - email_
domain GetZero Trust Access Groups Result Include Email Domain - email_
list GetZero Trust Access Groups Result Include Email List - everyone
Get
Zero Trust Access Groups Result Include Everyone - An empty object which matches on all users.
- external_
evaluation GetZero Trust Access Groups Result Include External Evaluation - geo
Get
Zero Trust Access Groups Result Include Geo - github_
organization GetZero Trust Access Groups Result Include Github Organization - group
Get
Zero Trust Access Groups Result Include Group - gsuite
Get
Zero Trust Access Groups Result Include Gsuite - ip
Get
Zero Trust Access Groups Result Include Ip - ip_
list GetZero Trust Access Groups Result Include Ip List - linked_
app_ Gettoken Zero Trust Access Groups Result Include Linked App Token - login_
method GetZero Trust Access Groups Result Include Login Method - oidc
Get
Zero Trust Access Groups Result Include Oidc - okta
Get
Zero Trust Access Groups Result Include Okta - saml
Get
Zero Trust Access Groups Result Include Saml - service_
token GetZero Trust Access Groups Result Include Service Token
- any
Valid Property MapService Token - An empty object which matches on all service tokens.
- auth
Context Property Map - auth
Method Property Map - azure
Ad Property Map - certificate Property Map
- common
Name Property Map - device
Posture Property Map - email Property Map
- email
Domain Property Map - email
List Property Map - everyone Property Map
- An empty object which matches on all users.
- external
Evaluation Property Map - geo Property Map
- github
Organization Property Map - group Property Map
- gsuite Property Map
- ip Property Map
- ip
List Property Map - linked
App Property MapToken - login
Method Property Map - oidc Property Map
- okta Property Map
- saml Property Map
- service
Token Property Map
GetZeroTrustAccessGroupsResultIncludeAuthContext
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
- ac
Id string - The ACID of an Authentication context.
- id string
- The ID of an Authentication context.
- identity
Provider stringId - The ID of your Azure identity provider.
- ac_
id str - The ACID of an Authentication context.
- id str
- The ID of an Authentication context.
- identity_
provider_ strid - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultIncludeAuthMethod
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth_
method str - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
GetZeroTrustAccessGroupsResultIncludeAzureAd
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
- id string
- The ID of an Azure group.
- identity
Provider stringId - The ID of your Azure identity provider.
- id str
- The ID of an Azure group.
- identity_
provider_ strid - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultIncludeCommonName
- Common
Name string - The common name to match.
- Common
Name string - The common name to match.
- common
Name String - The common name to match.
- common
Name string - The common name to match.
- common_
name str - The common name to match.
- common
Name String - The common name to match.
GetZeroTrustAccessGroupsResultIncludeDevicePosture
- Integration
Uid string - The ID of a device posture integration.
- Integration
Uid string - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
- integration
Uid string - The ID of a device posture integration.
- integration_
uid str - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
GetZeroTrustAccessGroupsResultIncludeEmail
- Email string
- The email of the user.
- Email string
- The email of the user.
- email String
- The email of the user.
- email string
- The email of the user.
- email str
- The email of the user.
- email String
- The email of the user.
GetZeroTrustAccessGroupsResultIncludeEmailDomain
- Domain string
- The email domain to match.
- Domain string
- The email domain to match.
- domain String
- The email domain to match.
- domain string
- The email domain to match.
- domain str
- The email domain to match.
- domain String
- The email domain to match.
GetZeroTrustAccessGroupsResultIncludeEmailList
- Id string
- The ID of a previously created email list.
- Id string
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
- id string
- The ID of a previously created email list.
- id str
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
GetZeroTrustAccessGroupsResultIncludeExternalEvaluation
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url string - The API endpoint containing your business logic.
- keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate_
url str - The API endpoint containing your business logic.
- keys_
url str - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
GetZeroTrustAccessGroupsResultIncludeGeo
- Country
Code string - The country code that should be matched.
- Country
Code string - The country code that should be matched.
- country
Code String - The country code that should be matched.
- country
Code string - The country code that should be matched.
- country_
code str - The country code that should be matched.
- country
Code String - The country code that should be matched.
GetZeroTrustAccessGroupsResultIncludeGithubOrganization
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
- identity
Provider stringId - The ID of your Github identity provider.
- name string
- The name of the organization.
- team string
- The name of the team
- identity_
provider_ strid - The ID of your Github identity provider.
- name str
- The name of the organization.
- team str
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
GetZeroTrustAccessGroupsResultIncludeGroup
- Id string
- The ID of a previously created Access group.
- Id string
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
- id string
- The ID of a previously created Access group.
- id str
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
GetZeroTrustAccessGroupsResultIncludeGsuite
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
- email string
- The email of the Google Workspace group.
- identity
Provider stringId - The ID of your Google Workspace identity provider.
- email str
- The email of the Google Workspace group.
- identity_
provider_ strid - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
GetZeroTrustAccessGroupsResultIncludeIp
- Ip string
- An IPv4 or IPv6 CIDR block.
- Ip string
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
- ip string
- An IPv4 or IPv6 CIDR block.
- ip str
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
GetZeroTrustAccessGroupsResultIncludeIpList
- Id string
- The ID of a previously created IP list.
- Id string
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
- id string
- The ID of a previously created IP list.
- id str
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
GetZeroTrustAccessGroupsResultIncludeLinkedAppToken
- App
Uid string - The ID of an Access OIDC SaaS application
- App
Uid string - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
- app
Uid string - The ID of an Access OIDC SaaS application
- app_
uid str - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
GetZeroTrustAccessGroupsResultIncludeLoginMethod
- Id string
- The ID of an identity provider.
- Id string
- The ID of an identity provider.
- id String
- The ID of an identity provider.
- id string
- The ID of an identity provider.
- id str
- The ID of an identity provider.
- id String
- The ID of an identity provider.
GetZeroTrustAccessGroupsResultIncludeOidc
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
- claim
Name string - The name of the OIDC claim.
- claim
Value string - The OIDC claim value to look for.
- identity
Provider stringId - The ID of your OIDC identity provider.
- claim_
name str - The name of the OIDC claim.
- claim_
value str - The OIDC claim value to look for.
- identity_
provider_ strid - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
GetZeroTrustAccessGroupsResultIncludeOkta
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
- identity
Provider stringId - The ID of your Okta identity provider.
- name string
- The name of the Okta group.
- identity_
provider_ strid - The ID of your Okta identity provider.
- name str
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
GetZeroTrustAccessGroupsResultIncludeSaml
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
- attribute
Name string - The name of the SAML attribute.
- attribute
Value string - The SAML attribute value to look for.
- identity
Provider stringId - The ID of your SAML identity provider.
- attribute_
name str - The name of the SAML attribute.
- attribute_
value str - The SAML attribute value to look for.
- identity_
provider_ strid - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
GetZeroTrustAccessGroupsResultIncludeServiceToken
- Token
Id string - The ID of a Service Token.
- Token
Id string - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
- token
Id string - The ID of a Service Token.
- token_
id str - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
GetZeroTrustAccessGroupsResultIsDefault
- Any
Valid GetService Token Zero Trust Access Groups Result Is Default Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Is Default Auth Context - Auth
Method GetZero Trust Access Groups Result Is Default Auth Method - Azure
Ad GetZero Trust Access Groups Result Is Default Azure Ad - Certificate
Get
Zero Trust Access Groups Result Is Default Certificate - Common
Name GetZero Trust Access Groups Result Is Default Common Name - Device
Posture GetZero Trust Access Groups Result Is Default Device Posture - Email
Get
Zero Trust Access Groups Result Is Default Email - Email
Domain GetZero Trust Access Groups Result Is Default Email Domain - Email
List GetZero Trust Access Groups Result Is Default Email List - Everyone
Get
Zero Trust Access Groups Result Is Default Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Is Default External Evaluation - Geo
Get
Zero Trust Access Groups Result Is Default Geo - Github
Organization GetZero Trust Access Groups Result Is Default Github Organization - Group
Get
Zero Trust Access Groups Result Is Default Group - Gsuite
Get
Zero Trust Access Groups Result Is Default Gsuite - Ip
Get
Zero Trust Access Groups Result Is Default Ip - Ip
List GetZero Trust Access Groups Result Is Default Ip List - Linked
App GetToken Zero Trust Access Groups Result Is Default Linked App Token - Login
Method GetZero Trust Access Groups Result Is Default Login Method - Oidc
Get
Zero Trust Access Groups Result Is Default Oidc - Okta
Get
Zero Trust Access Groups Result Is Default Okta - Saml
Get
Zero Trust Access Groups Result Is Default Saml - Service
Token GetZero Trust Access Groups Result Is Default Service Token
- Any
Valid GetService Token Zero Trust Access Groups Result Is Default Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Is Default Auth Context - Auth
Method GetZero Trust Access Groups Result Is Default Auth Method - Azure
Ad GetZero Trust Access Groups Result Is Default Azure Ad - Certificate
Get
Zero Trust Access Groups Result Is Default Certificate - Common
Name GetZero Trust Access Groups Result Is Default Common Name - Device
Posture GetZero Trust Access Groups Result Is Default Device Posture - Email
Get
Zero Trust Access Groups Result Is Default Email - Email
Domain GetZero Trust Access Groups Result Is Default Email Domain - Email
List GetZero Trust Access Groups Result Is Default Email List - Everyone
Get
Zero Trust Access Groups Result Is Default Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Is Default External Evaluation - Geo
Get
Zero Trust Access Groups Result Is Default Geo - Github
Organization GetZero Trust Access Groups Result Is Default Github Organization - Group
Get
Zero Trust Access Groups Result Is Default Group - Gsuite
Get
Zero Trust Access Groups Result Is Default Gsuite - Ip
Get
Zero Trust Access Groups Result Is Default Ip - Ip
List GetZero Trust Access Groups Result Is Default Ip List - Linked
App GetToken Zero Trust Access Groups Result Is Default Linked App Token - Login
Method GetZero Trust Access Groups Result Is Default Login Method - Oidc
Get
Zero Trust Access Groups Result Is Default Oidc - Okta
Get
Zero Trust Access Groups Result Is Default Okta - Saml
Get
Zero Trust Access Groups Result Is Default Saml - Service
Token GetZero Trust Access Groups Result Is Default Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Is Default Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Is Default Auth Context - auth
Method GetZero Trust Access Groups Result Is Default Auth Method - azure
Ad GetZero Trust Access Groups Result Is Default Azure Ad - certificate
Get
Zero Trust Access Groups Result Is Default Certificate - common
Name GetZero Trust Access Groups Result Is Default Common Name - device
Posture GetZero Trust Access Groups Result Is Default Device Posture - email
Get
Zero Trust Access Groups Result Is Default Email - email
Domain GetZero Trust Access Groups Result Is Default Email Domain - email
List GetZero Trust Access Groups Result Is Default Email List - everyone
Get
Zero Trust Access Groups Result Is Default Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Is Default External Evaluation - geo
Get
Zero Trust Access Groups Result Is Default Geo - github
Organization GetZero Trust Access Groups Result Is Default Github Organization - group
Get
Zero Trust Access Groups Result Is Default Group - gsuite
Get
Zero Trust Access Groups Result Is Default Gsuite - ip
Get
Zero Trust Access Groups Result Is Default Ip - ip
List GetZero Trust Access Groups Result Is Default Ip List - linked
App GetToken Zero Trust Access Groups Result Is Default Linked App Token - login
Method GetZero Trust Access Groups Result Is Default Login Method - oidc
Get
Zero Trust Access Groups Result Is Default Oidc - okta
Get
Zero Trust Access Groups Result Is Default Okta - saml
Get
Zero Trust Access Groups Result Is Default Saml - service
Token GetZero Trust Access Groups Result Is Default Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Is Default Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Is Default Auth Context - auth
Method GetZero Trust Access Groups Result Is Default Auth Method - azure
Ad GetZero Trust Access Groups Result Is Default Azure Ad - certificate
Get
Zero Trust Access Groups Result Is Default Certificate - common
Name GetZero Trust Access Groups Result Is Default Common Name - device
Posture GetZero Trust Access Groups Result Is Default Device Posture - email
Get
Zero Trust Access Groups Result Is Default Email - email
Domain GetZero Trust Access Groups Result Is Default Email Domain - email
List GetZero Trust Access Groups Result Is Default Email List - everyone
Get
Zero Trust Access Groups Result Is Default Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Is Default External Evaluation - geo
Get
Zero Trust Access Groups Result Is Default Geo - github
Organization GetZero Trust Access Groups Result Is Default Github Organization - group
Get
Zero Trust Access Groups Result Is Default Group - gsuite
Get
Zero Trust Access Groups Result Is Default Gsuite - ip
Get
Zero Trust Access Groups Result Is Default Ip - ip
List GetZero Trust Access Groups Result Is Default Ip List - linked
App GetToken Zero Trust Access Groups Result Is Default Linked App Token - login
Method GetZero Trust Access Groups Result Is Default Login Method - oidc
Get
Zero Trust Access Groups Result Is Default Oidc - okta
Get
Zero Trust Access Groups Result Is Default Okta - saml
Get
Zero Trust Access Groups Result Is Default Saml - service
Token GetZero Trust Access Groups Result Is Default Service Token
- any_
valid_ Getservice_ token Zero Trust Access Groups Result Is Default Any Valid Service Token - An empty object which matches on all service tokens.
- auth_
context GetZero Trust Access Groups Result Is Default Auth Context - auth_
method GetZero Trust Access Groups Result Is Default Auth Method - azure_
ad GetZero Trust Access Groups Result Is Default Azure Ad - certificate
Get
Zero Trust Access Groups Result Is Default Certificate - common_
name GetZero Trust Access Groups Result Is Default Common Name - device_
posture GetZero Trust Access Groups Result Is Default Device Posture - email
Get
Zero Trust Access Groups Result Is Default Email - email_
domain GetZero Trust Access Groups Result Is Default Email Domain - email_
list GetZero Trust Access Groups Result Is Default Email List - everyone
Get
Zero Trust Access Groups Result Is Default Everyone - An empty object which matches on all users.
- external_
evaluation GetZero Trust Access Groups Result Is Default External Evaluation - geo
Get
Zero Trust Access Groups Result Is Default Geo - github_
organization GetZero Trust Access Groups Result Is Default Github Organization - group
Get
Zero Trust Access Groups Result Is Default Group - gsuite
Get
Zero Trust Access Groups Result Is Default Gsuite - ip
Get
Zero Trust Access Groups Result Is Default Ip - ip_
list GetZero Trust Access Groups Result Is Default Ip List - linked_
app_ Gettoken Zero Trust Access Groups Result Is Default Linked App Token - login_
method GetZero Trust Access Groups Result Is Default Login Method - oidc
Get
Zero Trust Access Groups Result Is Default Oidc - okta
Get
Zero Trust Access Groups Result Is Default Okta - saml
Get
Zero Trust Access Groups Result Is Default Saml - service_
token GetZero Trust Access Groups Result Is Default Service Token
- any
Valid Property MapService Token - An empty object which matches on all service tokens.
- auth
Context Property Map - auth
Method Property Map - azure
Ad Property Map - certificate Property Map
- common
Name Property Map - device
Posture Property Map - email Property Map
- email
Domain Property Map - email
List Property Map - everyone Property Map
- An empty object which matches on all users.
- external
Evaluation Property Map - geo Property Map
- github
Organization Property Map - group Property Map
- gsuite Property Map
- ip Property Map
- ip
List Property Map - linked
App Property MapToken - login
Method Property Map - oidc Property Map
- okta Property Map
- saml Property Map
- service
Token Property Map
GetZeroTrustAccessGroupsResultIsDefaultAuthContext
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
- ac
Id string - The ACID of an Authentication context.
- id string
- The ID of an Authentication context.
- identity
Provider stringId - The ID of your Azure identity provider.
- ac_
id str - The ACID of an Authentication context.
- id str
- The ID of an Authentication context.
- identity_
provider_ strid - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultIsDefaultAuthMethod
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth_
method str - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
GetZeroTrustAccessGroupsResultIsDefaultAzureAd
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
- id string
- The ID of an Azure group.
- identity
Provider stringId - The ID of your Azure identity provider.
- id str
- The ID of an Azure group.
- identity_
provider_ strid - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultIsDefaultCommonName
- Common
Name string - The common name to match.
- Common
Name string - The common name to match.
- common
Name String - The common name to match.
- common
Name string - The common name to match.
- common_
name str - The common name to match.
- common
Name String - The common name to match.
GetZeroTrustAccessGroupsResultIsDefaultDevicePosture
- Integration
Uid string - The ID of a device posture integration.
- Integration
Uid string - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
- integration
Uid string - The ID of a device posture integration.
- integration_
uid str - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
GetZeroTrustAccessGroupsResultIsDefaultEmail
- Email string
- The email of the user.
- Email string
- The email of the user.
- email String
- The email of the user.
- email string
- The email of the user.
- email str
- The email of the user.
- email String
- The email of the user.
GetZeroTrustAccessGroupsResultIsDefaultEmailDomain
- Domain string
- The email domain to match.
- Domain string
- The email domain to match.
- domain String
- The email domain to match.
- domain string
- The email domain to match.
- domain str
- The email domain to match.
- domain String
- The email domain to match.
GetZeroTrustAccessGroupsResultIsDefaultEmailList
- Id string
- The ID of a previously created email list.
- Id string
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
- id string
- The ID of a previously created email list.
- id str
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
GetZeroTrustAccessGroupsResultIsDefaultExternalEvaluation
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url string - The API endpoint containing your business logic.
- keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate_
url str - The API endpoint containing your business logic.
- keys_
url str - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
GetZeroTrustAccessGroupsResultIsDefaultGeo
- Country
Code string - The country code that should be matched.
- Country
Code string - The country code that should be matched.
- country
Code String - The country code that should be matched.
- country
Code string - The country code that should be matched.
- country_
code str - The country code that should be matched.
- country
Code String - The country code that should be matched.
GetZeroTrustAccessGroupsResultIsDefaultGithubOrganization
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
- identity
Provider stringId - The ID of your Github identity provider.
- name string
- The name of the organization.
- team string
- The name of the team
- identity_
provider_ strid - The ID of your Github identity provider.
- name str
- The name of the organization.
- team str
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
GetZeroTrustAccessGroupsResultIsDefaultGroup
- Id string
- The ID of a previously created Access group.
- Id string
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
- id string
- The ID of a previously created Access group.
- id str
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
GetZeroTrustAccessGroupsResultIsDefaultGsuite
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
- email string
- The email of the Google Workspace group.
- identity
Provider stringId - The ID of your Google Workspace identity provider.
- email str
- The email of the Google Workspace group.
- identity_
provider_ strid - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
GetZeroTrustAccessGroupsResultIsDefaultIp
- Ip string
- An IPv4 or IPv6 CIDR block.
- Ip string
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
- ip string
- An IPv4 or IPv6 CIDR block.
- ip str
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
GetZeroTrustAccessGroupsResultIsDefaultIpList
- Id string
- The ID of a previously created IP list.
- Id string
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
- id string
- The ID of a previously created IP list.
- id str
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
GetZeroTrustAccessGroupsResultIsDefaultLinkedAppToken
- App
Uid string - The ID of an Access OIDC SaaS application
- App
Uid string - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
- app
Uid string - The ID of an Access OIDC SaaS application
- app_
uid str - The ID of an Access OIDC SaaS application
- app
Uid String - The ID of an Access OIDC SaaS application
GetZeroTrustAccessGroupsResultIsDefaultLoginMethod
- Id string
- The ID of an identity provider.
- Id string
- The ID of an identity provider.
- id String
- The ID of an identity provider.
- id string
- The ID of an identity provider.
- id str
- The ID of an identity provider.
- id String
- The ID of an identity provider.
GetZeroTrustAccessGroupsResultIsDefaultOidc
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- Claim
Name string - The name of the OIDC claim.
- Claim
Value string - The OIDC claim value to look for.
- Identity
Provider stringId - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
- claim
Name string - The name of the OIDC claim.
- claim
Value string - The OIDC claim value to look for.
- identity
Provider stringId - The ID of your OIDC identity provider.
- claim_
name str - The name of the OIDC claim.
- claim_
value str - The OIDC claim value to look for.
- identity_
provider_ strid - The ID of your OIDC identity provider.
- claim
Name String - The name of the OIDC claim.
- claim
Value String - The OIDC claim value to look for.
- identity
Provider StringId - The ID of your OIDC identity provider.
GetZeroTrustAccessGroupsResultIsDefaultOkta
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- Identity
Provider stringId - The ID of your Okta identity provider.
- Name string
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
- identity
Provider stringId - The ID of your Okta identity provider.
- name string
- The name of the Okta group.
- identity_
provider_ strid - The ID of your Okta identity provider.
- name str
- The name of the Okta group.
- identity
Provider StringId - The ID of your Okta identity provider.
- name String
- The name of the Okta group.
GetZeroTrustAccessGroupsResultIsDefaultSaml
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- Attribute
Name string - The name of the SAML attribute.
- Attribute
Value string - The SAML attribute value to look for.
- Identity
Provider stringId - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
- attribute
Name string - The name of the SAML attribute.
- attribute
Value string - The SAML attribute value to look for.
- identity
Provider stringId - The ID of your SAML identity provider.
- attribute_
name str - The name of the SAML attribute.
- attribute_
value str - The SAML attribute value to look for.
- identity_
provider_ strid - The ID of your SAML identity provider.
- attribute
Name String - The name of the SAML attribute.
- attribute
Value String - The SAML attribute value to look for.
- identity
Provider StringId - The ID of your SAML identity provider.
GetZeroTrustAccessGroupsResultIsDefaultServiceToken
- Token
Id string - The ID of a Service Token.
- Token
Id string - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
- token
Id string - The ID of a Service Token.
- token_
id str - The ID of a Service Token.
- token
Id String - The ID of a Service Token.
GetZeroTrustAccessGroupsResultRequire
- Any
Valid GetService Token Zero Trust Access Groups Result Require Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Require Auth Context - Auth
Method GetZero Trust Access Groups Result Require Auth Method - Azure
Ad GetZero Trust Access Groups Result Require Azure Ad - Certificate
Get
Zero Trust Access Groups Result Require Certificate - Common
Name GetZero Trust Access Groups Result Require Common Name - Device
Posture GetZero Trust Access Groups Result Require Device Posture - Email
Get
Zero Trust Access Groups Result Require Email - Email
Domain GetZero Trust Access Groups Result Require Email Domain - Email
List GetZero Trust Access Groups Result Require Email List - Everyone
Get
Zero Trust Access Groups Result Require Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Require External Evaluation - Geo
Get
Zero Trust Access Groups Result Require Geo - Github
Organization GetZero Trust Access Groups Result Require Github Organization - Group
Get
Zero Trust Access Groups Result Require Group - Gsuite
Get
Zero Trust Access Groups Result Require Gsuite - Ip
Get
Zero Trust Access Groups Result Require Ip - Ip
List GetZero Trust Access Groups Result Require Ip List - Linked
App GetToken Zero Trust Access Groups Result Require Linked App Token - Login
Method GetZero Trust Access Groups Result Require Login Method - Oidc
Get
Zero Trust Access Groups Result Require Oidc - Okta
Get
Zero Trust Access Groups Result Require Okta - Saml
Get
Zero Trust Access Groups Result Require Saml - Service
Token GetZero Trust Access Groups Result Require Service Token
- Any
Valid GetService Token Zero Trust Access Groups Result Require Any Valid Service Token - An empty object which matches on all service tokens.
- Auth
Context GetZero Trust Access Groups Result Require Auth Context - Auth
Method GetZero Trust Access Groups Result Require Auth Method - Azure
Ad GetZero Trust Access Groups Result Require Azure Ad - Certificate
Get
Zero Trust Access Groups Result Require Certificate - Common
Name GetZero Trust Access Groups Result Require Common Name - Device
Posture GetZero Trust Access Groups Result Require Device Posture - Email
Get
Zero Trust Access Groups Result Require Email - Email
Domain GetZero Trust Access Groups Result Require Email Domain - Email
List GetZero Trust Access Groups Result Require Email List - Everyone
Get
Zero Trust Access Groups Result Require Everyone - An empty object which matches on all users.
- External
Evaluation GetZero Trust Access Groups Result Require External Evaluation - Geo
Get
Zero Trust Access Groups Result Require Geo - Github
Organization GetZero Trust Access Groups Result Require Github Organization - Group
Get
Zero Trust Access Groups Result Require Group - Gsuite
Get
Zero Trust Access Groups Result Require Gsuite - Ip
Get
Zero Trust Access Groups Result Require Ip - Ip
List GetZero Trust Access Groups Result Require Ip List - Linked
App GetToken Zero Trust Access Groups Result Require Linked App Token - Login
Method GetZero Trust Access Groups Result Require Login Method - Oidc
Get
Zero Trust Access Groups Result Require Oidc - Okta
Get
Zero Trust Access Groups Result Require Okta - Saml
Get
Zero Trust Access Groups Result Require Saml - Service
Token GetZero Trust Access Groups Result Require Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Require Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Require Auth Context - auth
Method GetZero Trust Access Groups Result Require Auth Method - azure
Ad GetZero Trust Access Groups Result Require Azure Ad - certificate
Get
Zero Trust Access Groups Result Require Certificate - common
Name GetZero Trust Access Groups Result Require Common Name - device
Posture GetZero Trust Access Groups Result Require Device Posture - email
Get
Zero Trust Access Groups Result Require Email - email
Domain GetZero Trust Access Groups Result Require Email Domain - email
List GetZero Trust Access Groups Result Require Email List - everyone
Get
Zero Trust Access Groups Result Require Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Require External Evaluation - geo
Get
Zero Trust Access Groups Result Require Geo - github
Organization GetZero Trust Access Groups Result Require Github Organization - group
Get
Zero Trust Access Groups Result Require Group - gsuite
Get
Zero Trust Access Groups Result Require Gsuite - ip
Get
Zero Trust Access Groups Result Require Ip - ip
List GetZero Trust Access Groups Result Require Ip List - linked
App GetToken Zero Trust Access Groups Result Require Linked App Token - login
Method GetZero Trust Access Groups Result Require Login Method - oidc
Get
Zero Trust Access Groups Result Require Oidc - okta
Get
Zero Trust Access Groups Result Require Okta - saml
Get
Zero Trust Access Groups Result Require Saml - service
Token GetZero Trust Access Groups Result Require Service Token
- any
Valid GetService Token Zero Trust Access Groups Result Require Any Valid Service Token - An empty object which matches on all service tokens.
- auth
Context GetZero Trust Access Groups Result Require Auth Context - auth
Method GetZero Trust Access Groups Result Require Auth Method - azure
Ad GetZero Trust Access Groups Result Require Azure Ad - certificate
Get
Zero Trust Access Groups Result Require Certificate - common
Name GetZero Trust Access Groups Result Require Common Name - device
Posture GetZero Trust Access Groups Result Require Device Posture - email
Get
Zero Trust Access Groups Result Require Email - email
Domain GetZero Trust Access Groups Result Require Email Domain - email
List GetZero Trust Access Groups Result Require Email List - everyone
Get
Zero Trust Access Groups Result Require Everyone - An empty object which matches on all users.
- external
Evaluation GetZero Trust Access Groups Result Require External Evaluation - geo
Get
Zero Trust Access Groups Result Require Geo - github
Organization GetZero Trust Access Groups Result Require Github Organization - group
Get
Zero Trust Access Groups Result Require Group - gsuite
Get
Zero Trust Access Groups Result Require Gsuite - ip
Get
Zero Trust Access Groups Result Require Ip - ip
List GetZero Trust Access Groups Result Require Ip List - linked
App GetToken Zero Trust Access Groups Result Require Linked App Token - login
Method GetZero Trust Access Groups Result Require Login Method - oidc
Get
Zero Trust Access Groups Result Require Oidc - okta
Get
Zero Trust Access Groups Result Require Okta - saml
Get
Zero Trust Access Groups Result Require Saml - service
Token GetZero Trust Access Groups Result Require Service Token
- any_
valid_ Getservice_ token Zero Trust Access Groups Result Require Any Valid Service Token - An empty object which matches on all service tokens.
- auth_
context GetZero Trust Access Groups Result Require Auth Context - auth_
method GetZero Trust Access Groups Result Require Auth Method - azure_
ad GetZero Trust Access Groups Result Require Azure Ad - certificate
Get
Zero Trust Access Groups Result Require Certificate - common_
name GetZero Trust Access Groups Result Require Common Name - device_
posture GetZero Trust Access Groups Result Require Device Posture - email
Get
Zero Trust Access Groups Result Require Email - email_
domain GetZero Trust Access Groups Result Require Email Domain - email_
list GetZero Trust Access Groups Result Require Email List - everyone
Get
Zero Trust Access Groups Result Require Everyone - An empty object which matches on all users.
- external_
evaluation GetZero Trust Access Groups Result Require External Evaluation - geo
Get
Zero Trust Access Groups Result Require Geo - github_
organization GetZero Trust Access Groups Result Require Github Organization - group
Get
Zero Trust Access Groups Result Require Group - gsuite
Get
Zero Trust Access Groups Result Require Gsuite - ip
Get
Zero Trust Access Groups Result Require Ip - ip_
list GetZero Trust Access Groups Result Require Ip List - linked_
app_ Gettoken Zero Trust Access Groups Result Require Linked App Token - login_
method GetZero Trust Access Groups Result Require Login Method - oidc
Get
Zero Trust Access Groups Result Require Oidc - okta
Get
Zero Trust Access Groups Result Require Okta - saml
Get
Zero Trust Access Groups Result Require Saml - service_
token GetZero Trust Access Groups Result Require Service Token
- any
Valid Property MapService Token - An empty object which matches on all service tokens.
- auth
Context Property Map - auth
Method Property Map - azure
Ad Property Map - certificate Property Map
- common
Name Property Map - device
Posture Property Map - email Property Map
- email
Domain Property Map - email
List Property Map - everyone Property Map
- An empty object which matches on all users.
- external
Evaluation Property Map - geo Property Map
- github
Organization Property Map - group Property Map
- gsuite Property Map
- ip Property Map
- ip
List Property Map - linked
App Property MapToken - login
Method Property Map - oidc Property Map
- okta Property Map
- saml Property Map
- service
Token Property Map
GetZeroTrustAccessGroupsResultRequireAuthContext
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Ac
Id string - The ACID of an Authentication context.
- Id string
- The ID of an Authentication context.
- Identity
Provider stringId - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
- ac
Id string - The ACID of an Authentication context.
- id string
- The ID of an Authentication context.
- identity
Provider stringId - The ID of your Azure identity provider.
- ac_
id str - The ACID of an Authentication context.
- id str
- The ID of an Authentication context.
- identity_
provider_ strid - The ID of your Azure identity provider.
- ac
Id String - The ACID of an Authentication context.
- id String
- The ID of an Authentication context.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultRequireAuthMethod
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- Auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method string - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth_
method str - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
- auth
Method String - The type of authentication method https://datatracker.ietf.org/doc/html/rfc8176#section-2.
GetZeroTrustAccessGroupsResultRequireAzureAd
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- Id string
- The ID of an Azure group.
- Identity
Provider stringId - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
- id string
- The ID of an Azure group.
- identity
Provider stringId - The ID of your Azure identity provider.
- id str
- The ID of an Azure group.
- identity_
provider_ strid - The ID of your Azure identity provider.
- id String
- The ID of an Azure group.
- identity
Provider StringId - The ID of your Azure identity provider.
GetZeroTrustAccessGroupsResultRequireCommonName
- Common
Name string - The common name to match.
- Common
Name string - The common name to match.
- common
Name String - The common name to match.
- common
Name string - The common name to match.
- common_
name str - The common name to match.
- common
Name String - The common name to match.
GetZeroTrustAccessGroupsResultRequireDevicePosture
- Integration
Uid string - The ID of a device posture integration.
- Integration
Uid string - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
- integration
Uid string - The ID of a device posture integration.
- integration_
uid str - The ID of a device posture integration.
- integration
Uid String - The ID of a device posture integration.
GetZeroTrustAccessGroupsResultRequireEmail
- Email string
- The email of the user.
- Email string
- The email of the user.
- email String
- The email of the user.
- email string
- The email of the user.
- email str
- The email of the user.
- email String
- The email of the user.
GetZeroTrustAccessGroupsResultRequireEmailDomain
- Domain string
- The email domain to match.
- Domain string
- The email domain to match.
- domain String
- The email domain to match.
- domain string
- The email domain to match.
- domain str
- The email domain to match.
- domain String
- The email domain to match.
GetZeroTrustAccessGroupsResultRequireEmailList
- Id string
- The ID of a previously created email list.
- Id string
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
- id string
- The ID of a previously created email list.
- id str
- The ID of a previously created email list.
- id String
- The ID of a previously created email list.
GetZeroTrustAccessGroupsResultRequireExternalEvaluation
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- Evaluate
Url string - The API endpoint containing your business logic.
- Keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url string - The API endpoint containing your business logic.
- keys
Url string - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate_
url str - The API endpoint containing your business logic.
- keys_
url str - The API endpoint containing the key that Access uses to verify that the response came from your API.
- evaluate
Url String - The API endpoint containing your business logic.
- keys
Url String - The API endpoint containing the key that Access uses to verify that the response came from your API.
GetZeroTrustAccessGroupsResultRequireGeo
- Country
Code string - The country code that should be matched.
- Country
Code string - The country code that should be matched.
- country
Code String - The country code that should be matched.
- country
Code string - The country code that should be matched.
- country_
code str - The country code that should be matched.
- country
Code String - The country code that should be matched.
GetZeroTrustAccessGroupsResultRequireGithubOrganization
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- Identity
Provider stringId - The ID of your Github identity provider.
- Name string
- The name of the organization.
- Team string
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
- identity
Provider stringId - The ID of your Github identity provider.
- name string
- The name of the organization.
- team string
- The name of the team
- identity_
provider_ strid - The ID of your Github identity provider.
- name str
- The name of the organization.
- team str
- The name of the team
- identity
Provider StringId - The ID of your Github identity provider.
- name String
- The name of the organization.
- team String
- The name of the team
GetZeroTrustAccessGroupsResultRequireGroup
- Id string
- The ID of a previously created Access group.
- Id string
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
- id string
- The ID of a previously created Access group.
- id str
- The ID of a previously created Access group.
- id String
- The ID of a previously created Access group.
GetZeroTrustAccessGroupsResultRequireGsuite
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- Email string
- The email of the Google Workspace group.
- Identity
Provider stringId - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
- email string
- The email of the Google Workspace group.
- identity
Provider stringId - The ID of your Google Workspace identity provider.
- email str
- The email of the Google Workspace group.
- identity_
provider_ strid - The ID of your Google Workspace identity provider.
- email String
- The email of the Google Workspace group.
- identity
Provider StringId - The ID of your Google Workspace identity provider.
GetZeroTrustAccessGroupsResultRequireIp
- Ip string
- An IPv4 or IPv6 CIDR block.
- Ip string
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
- ip string
- An IPv4 or IPv6 CIDR block.
- ip str
- An IPv4 or IPv6 CIDR block.
- ip String
- An IPv4 or IPv6 CIDR block.
GetZeroTrustAccessGroupsResultRequireIpList
- Id string
- The ID of a previously created IP list.
- Id string
- The ID of a previously created IP list.
- id String
- The ID of a previously created IP list.
- id string
- The ID of a previously created IP list.
- id str
- The ID of a previously created IP list.
- id String
[...]
